Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationBone Class Reference

変換ボーン More...

`#include <TranslationBone.h>`

List of all members.

## Protected Member Functions
| TranslationBone ()
| コンストラクタ
virtual | ~TranslationBone ()
| デストラクタ
virtual bool | analyze (const MDagPath &dagPath)
| 分析
virtual void | buildModelMatrix (TranslationCharacterModel *characterModel, const Matrix34 &parentMatrix)
| モデル行列の構築
virtual bool | analyzeAnimation (int startTime, int endTime)
| アニメーションの分析
const String & | getName () const
| 名前の取得
const Matrix34 & | getInversePoseMatrix () const
| ポーズ逆行列の取得
virtual bool | convertToLamp (CharacterModel *model)
| Lampへの変換.
virtual bool | boneLink (CharacterModel *model, int index)
| ボーンのリンク
virtual VectorInterpolator * | getScaleAnimation (int startTime, int endTime)
| スケールアニメーションの取得
virtual RotationInterpolator * | getRotationAnimation (int startTime, int endTime)
| 回転アニメーションの取得
virtual VectorInterpolator * | getTranslationAnimation (int startTime, int endTime)
| 移動アニメーションの取得
## Friends
class | TranslationCharacterModel

## Detailed Description

変換ボーン

Definition at line 46 of file TranslationBone.h.

## Member Function Documentation

bool LampForMaya::TranslationBone::analyze | ( | const MDagPath & | dagPath | ) | `[protected, virtual]`

| 分析 Returns: 成功すればtrue Definition at line 50 of file TranslationBone.cpp. References MayaErrorOut, MayaMessageOut, and MayaStatusCheck. Referenced by LampForMaya::TranslationCharacterModel::analyzeBone().

bool LampForMaya::TranslationBone::analyzeAnimation | ( | int | startTime,
|  | int | endTime
| ) | `[protected, virtual]`

  | アニメーションの分析 Parameters:
  startTime | 開始時間
  endTime | 終了時間
Returns: 成功すればtrue Definition at line 203 of file TranslationBone.cpp. References MayaMessageOut. Referenced by LampForMaya::TranslationCharacterModel::analyzeAnimation().

bool LampForMaya::TranslationBone::boneLink | ( | CharacterModel * | model,
|  | int | index
| ) | `[protected, virtual]`

  | ボーンのリンク Parameters:
  model | キャラクタモデル
  index | ボーンのインデックス
Returns: 成功すればtrue Definition at line 246 of file TranslationBone.cpp. References MayaErrorOut. Referenced by LampForMaya::TranslationCharacterModel::convertToLamp().

void LampForMaya::TranslationBone::buildModelMatrix | ( | TranslationCharacterModel * | characterModel,
|  | const Matrix34 & | parentMatrix
| ) | `[protected, virtual]`

  | モデル行列の構築 Parameters:
  characterModel | 変換キャラクタモデル
  parentMatrix | 親行列
Definition at line 193 of file TranslationBone.cpp. References LampForMaya::TranslationCharacterModel::searchBone(). Referenced by LampForMaya::TranslationCharacterModel::analyzeBone().

bool LampForMaya::TranslationBone::convertToLamp | ( | CharacterModel * | model | ) | `[protected, virtual]`

  | Lampへの変換. Parameters:
  model | キャラクタモデル
Returns: 成功すればtrue Definition at line 235 of file TranslationBone.cpp. Referenced by LampForMaya::TranslationCharacterModel::convertToLamp().

const Matrix34& LampForMaya::TranslationBone::getInversePoseMatrix | ( |  | ) | const`[inline, protected]`

| ポーズ逆行列の取得 Returns: ポーズ逆行列 Definition at line 94 of file TranslationBone.h.

const String& LampForMaya::TranslationBone::getName | ( |  | ) | const`[inline, protected]`

| 名前の取得 Returns: 名前 Definition at line 88 of file TranslationBone.h. Referenced by LampForMaya::TranslationCharacterModel::searchBone().

RotationInterpolator * LampForMaya::TranslationBone::getRotationAnimation | ( | int | startTime,
|  | int | endTime
| ) | `[protected, virtual]`

  | 回転アニメーションの取得 Parameters:
  startTime | 開始時間
  endTime | 終了時間
Returns: 回転アニメーション Definition at line 274 of file TranslationBone.cpp. Referenced by LampForMaya::TranslationCharacterModel::convertAnimation().

VectorInterpolator * LampForMaya::TranslationBone::getScaleAnimation | ( | int | startTime,
|  | int | endTime
| ) | `[protected, virtual]`

  | スケールアニメーションの取得 Parameters:
  startTime | 開始時間
  endTime | 終了時間
Returns: スケールアニメーション Definition at line 261 of file TranslationBone.cpp. Referenced by LampForMaya::TranslationCharacterModel::convertAnimation().

VectorInterpolator * LampForMaya::TranslationBone::getTranslationAnimation | ( | int | startTime,
|  | int | endTime
| ) | `[protected, virtual]`

  | 移動アニメーションの取得 Parameters:
  startTime | 開始時間
  endTime | 終了時間
Returns: 移動アニメーション Definition at line 287 of file TranslationBone.cpp. Referenced by LampForMaya::TranslationCharacterModel::convertAnimation().

The documentation for this class was generated from the following files:

- TranslationBone.h
- TranslationBone.cpp